<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright (c) 2017, RTE (http://www.rte-france.com)
    This Source Code Form is subject to the terms of the Mozilla Public
    License, v. 2.0. If a copy of the MPL was not distributed with this
    file, You can obtain one at http://mozilla.org/MPL/2.0/.

-->
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    
    <parent>
        <groupId>com.powsybl</groupId>
        <artifactId>powsybl-action</artifactId>
        <version>6.2.0-SNAPSHOT</version>
    </parent>

    <artifactId>powsybl-action-dsl-spi</artifactId>
    <name>Action DSL SPI</name>
    <description>A set of interfaces to extend the DSL</description>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <configuration>
                    <archive>
                        <manifestEntries>
                            <Automatic-Module-Name>com.powsybl.action.dsl.spi</Automatic-Module-Name>
                        </manifestEntries>
                    </archive>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <!-- Compilation dependencies -->
        <dependency>
            <groupId>org.apache.groovy</groupId>
            <artifactId>groovy</artifactId>
        </dependency>
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>powsybl-contingency-api</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>

</project>

